### Constant

# Gio FILE_ATTRIBUTE_STANDARD_NAME

#### Declaration

    #define G_FILE_ATTRIBUTE_STANDARD_NAME "standard::name"

#### Description

A key in the “standard” namespace for getting the name of the file.

The name is the on-disk filename which may not be in any known encoding, and can thus not be generally displayed as is. It is guaranteed to be set on every file.

Use `G_FILE_ATTRIBUTE_STANDARD_DISPLAY_NAME` if you need to display the name in a user interface.

Corresponding `GFileAttributeType` is `G_FILE_ATTRIBUTE_TYPE_BYTE_STRING`.